/* Simple test client socket application.
   Rick Smereka, Copyright (C) 2000-2003.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original version for Unix and Windows 32-bit.
   Sep/2000, Rick Smereka

   Ported to Debian Linux. Jan/2003, Rick Smereka */

#include "stdhead.h"
#include "flsocket.h"
#include "csocket.h"
using namespace std;

/* global data */

#ifdef OS_WIN32
WSADATA wsaData;
#endif

int main(void)
{
   string h1;
   csocket c1("node6", 10010);
   int flag;

#ifdef OS_WIN32
   if (WSAStartup(WINSOCK_VERSION, &wsaData))
      {
      cout << "unable to start WinSock. Program abort\n";
      WSACleanup();
      return(0);
      }
#endif

   flag = c1.send_receive("end", h1);
   cout << "flag=" << flag << ",h1=" << h1 << ",l=" << h1.length() << '\n';

#ifdef OS_WIN32
   WSACleanup();
#endif

   return(0);
}

